IPCS(1)

NAZWA
ipcs - pokazuje informacje o urządzeniach IPC

SKŁADNIA

ipcs [opcje]

OPIS

ipcs shows information on System V inter-process communication facilities. By default it shows information about all three resources: shared memory segments, message queues, and semaphore arrays.

OPCJE

-i, --id id
    Show full details on just the one resource element identified by id. This option needs to be combined with one of the three resource options: -m, -q or -s.

-h, --help
    Wyświetla ten tekst i kończy pracę.

-V, --version
    Wyświetla informacje o wersji i kończy działanie.

  Opcje zasobów

-m, --shmems
    Wypisuje informacje o aktywnych segmentach pamięci dzielonej.

-q, --queues
    Wypisuje informacje o aktywnych kolejkach komunikatów.

-s, --semaphores
    Wypisuje informacje o aktywnych zestawach semaforów.

-a, --all
    Wypisuje informacje o wszystkich trzech zasobach (domyślnie).

  Formaty wyjściowe

Przy podaniu więcej niż jednej z poniższych opcji zadziała tylko ostatnia.

-c, --creator
    Pokazuje twórcę i właściciela.

-l, --limits
    Pokazuje limity zasobów.

-p, --pid
    Pokazuje PID twórcy i ostatniego operatora.

-t, --time
    Write time information. The time of the last control operation that changed the access permissions for all facilities, the time of the last msgsnd(2) and msgrcv(2) operations on message queues, the time of the last shmat(2) and shmdt(2) operations on shared memory, and the time of the last semop(2) operation on semaphores.

-u, --summary
    Pokazuje podsumowanie statusu.

  Reprezentacja

Wpływa to tylko na opcję -l (--limits).

-b, --bytes
    Wypisuje rozmiar w bajtach.

--human
    Wyświetla rozmiary w formacie czytelnym dla ludzi.

ZGODNE Z

The Linux ipcs utility is not fully compatible to the POSIX ipcs utility. The Linux version does not support the POSIX -a, -b and -o options, but does support the -l and -u options not defined by POSIX. A portable application shall not use the -a, -b, -o, -l, and -u options.

UWAGI

The current implementation of ipcs obtains information about available IPC resources by parsing the files in /proc/sysvipc. Before util-linux version v2.23, an alternate mechanism was used: the IPC_STAT command of msgctl(2), semctl(2), and shmctl(2). This mechanism is also used in later util-linux versions in the case where /proc is unavailable. A limitation of the IPC_STAT mechanism is that it can only be used to retrieve information about IPC resources for which the user has read permission.

AUTORZY

ZOBACZ TAKŻE

ipcmk(1), ipcrm(1), msgrcv(2), msgsnd(2), semget(2), semop(2), shmat(2), shmdt(2), shmget(2), sysvipc(7)

ZGŁASZANIE BŁĘDÓW

Raporty o błędach proszę zgłaszać pod adresem

DOSTĘPNOŚĆ

The ipcs command is part of the util-linux package which can be downloaded from

T◈UMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Przemek Borys <pborys@dione.ids.pl>, Robert Luberda <robert@debian.org> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.